diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index d16e4f4..a88789d 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -134082,7 +134082,7 @@ ReduceLODE(F, L, UP, A, LO): Exports == Implementation where
 
 -- coerces a matrix of elements of F into a matrix of (order 0) L.O.D.O's
     matF2L m ==
-      map(#1::L, m)$MatrixCategoryFunctions2(F, V, V, Matrix F,
+      map((f1:F):L+->f1::L, m)$MatrixCategoryFunctions2(F, V, V, Matrix F,
                                                 L, Vector L, Vector L, M)
 
 -- This follows the algorithm and notation of
@@ -134091,7 +134091,7 @@ ReduceLODE(F, L, UP, A, LO): Exports == Implementation where
     reduceLODE(l, g) ==
       n := rank()$A
 -- md is the basic differential matrix (D x I + Dy)
-      md := matF2L transpose derivationCoordinates(basis(), diff #1)
+      md := matF2L transpose derivationCoordinates(basis(), (f1:F):F+->diff f1)
       for i in minRowIndex md .. maxRowIndex md
         for j in minColIndex md .. maxColIndex md repeat
           md(i, j) := diff + md(i, j)
diff --git a/changelog b/changelog
index 5cdbedd..7359b96 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090620 tpd src/axiom-website/patches.html 20090620.05.tpd.patch
+20090620 tpd books/bookvol10.4 ODERED +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.04.tpd.patch
 20090620 tpd books/bookvol10.4 RECOP +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e877f59..1dca96a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1607,5 +1607,7 @@ bookvol10.4 ODERAT +-> conversion<br/>
 bookvol10.4 ODERTRIC +-> conversion<br/>
 <a href="patches/20090620.04.tpd.patch">20090620.04.tpd.patch</a>
 bookvol10.4 RECOP +-> conversion<br/>
+<a href="patches/20090620.05.tpd.patch">20090620.05.tpd.patch</a>
+bookvol10.4 ODERED +-> conversion<br/>
  </body>
 </html>
